#include <stdio.h>
#include <stdlib.h>
#include "crunch.h"

int main(int argc, char *argv[])
{
	char hash[512/8];
	char *to_hash;
	int i,len,hash_len,lSize;
	FILE *Input;
	HashReturn HR;

	if(argc <= 2)
	{
		printf("Syntax error: crunch <file to be hashed name> <Digest Size>\n");
		return 0;
	}

	Input = fopen(argv[1],"r");
	if(Input == NULL)
	{
		printf("Can't open the file: %s\n",argv[1]);
		return 0;
	}
	hash_len=atoi(argv[2]);


  	fseek (Input , 0 , SEEK_END);
  	lSize = ftell (Input);
	len = lSize*8;
  	rewind (Input);

	to_hash=(char*)malloc(8);
	fread(to_hash,lSize,1,Input);

	HR = Hash(hash_len,to_hash,len,hash);

	if(HR == SUCCESS)
	{
		for(i=0;i<hash_len/8;i++)
		{
			printf("%02x",hash[i]&0x000000ff);
		}
		printf("\n");
	}

	return 0;
}
